> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the cost allocation summary over a time window

> Retrieve cost allocation summary. Faster than the full allocation, but may include less details.



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/cost/v1/allocation/summary
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/cost/v1/allocation/summary:
    get:
      tags:
        - Cost
      summary: Get the cost allocation summary over a time window
      description: >-
        Retrieve cost allocation summary. Faster than the full allocation, but
        may include less details.
      operationId: getCostAllocationSummary
      parameters:
        - description: >-
            Duration of time over which to query. Accepts words like today,
            week, month, yesterday, lastweek, lastmonth; durations like 30m,
            12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z
          in: query
          name: window
          required: true
          schema:
            type: string
        - description: >-
            Aggregate the cost allocation. Accepts kubecost aggregates cluster,
            namespace, pod, deployment, service, daemonset, statefulset, job,
            cronjob, replicaset, node, container, pv, pvc, storageclass, cluster
          in: query
          name: aggregate
          required: false
          schema:
            type: string
        - description: >-
            if the result will be accumulated. Default is false. If true, the
            result will be accumulated from the start time to the end time.
          in: query
          name: accumulate
          required: false
          schema:
            type: boolean
        - description: >-
            filter the result by the kubecost filter like cluster, namespace,
            pod, deployment, service, daemonset, statefulset, job, cronjob,
            replicaset, node, container, pv, pvc, storageclass, cluster.
          in: query
          name: filter
          required: false
          schema:
            type: string
        - description: if the idle cost will be shared
          in: query
          name: shareIdle
          required: false
          schema:
            type: boolean
        - description: list of namespaces to share the costs
          in: query
          name: shareNamespaces
          required: false
          schema:
            type: string
        - description: >-
            determines how to split shared costs among non-idle, unshared
            allocations.
          in: query
          name: shareSplit
          required: false
          schema:
            type: string
        - description: the cost to share
          in: query
          name: shareCost
          required: false
          schema:
            type: string
        - description: the label to share the cost
          in: query
          name: shareLabels
          required: false
          schema:
            type: string
        - description: if the cost will be reconciled
          in: query
          name: reconcile
          required: false
          schema:
            type: boolean
        - description: if the tenancy costs will be shared
          in: query
          name: shareTenancyCosts
          required: false
          schema:
            type: boolean
        - description: if the idle cost will be calculated
          in: query
          name: idle
          required: false
          schema:
            type: boolean
        - description: if the external cost will be calculated
          in: query
          name: external
          required: false
          schema:
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CostAllocationSummaryEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    CostAllocationSummaryEnvelopeV1:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CostAllocationSummaryV1'
          type: array
      required:
        - data
      type: object
    CostAllocationSummaryV1:
      properties:
        cpuCoreRequestAverage:
          format: double
          type: number
        cpuCoreUsageAverage:
          format: double
          type: number
        cpuCost:
          format: double
          type: number
        gpuCost:
          format: double
          type: number
        loadBalancerCost:
          format: double
          type: number
        name:
          type: string
        networkCost:
          format: double
          type: number
        pvCost:
          format: double
          type: number
        ramCost:
          format: double
          type: number
        totalCost:
          format: double
          type: number
        window:
          properties:
            end:
              type: string
            minutes:
              format: double
              type: number
            start:
              type: string
          type: object
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````